// romcalls.h by Erik van 't Wout
//
// All the TI-83+ TIOS ROMCALLS.

//======================================================================
// Include File for the TI-83 Plus
// Last Updated 9/17/2002 
//
// Copyright (c) 1999, 2001, 2002 Texas Instruments: The Licensed Materials are
// copyrighted by TI. LICENSEE agrees that it will 
// not delete the copyright notice, trademarks or
// protective notices from any copy made by LICENSEE.
//
// Warranty: TI does not warrant that the Licensed Materials will
// be free from errors or will meet your specific requirements.
// The Licensed Materials are made available "AS IS" to LICENSEE.
//
// Limitations: TI MAKES NO WARRANTY OR CONDITION, EITHER EXPRESS
// OR IMPLIED, INCLUDING BUT NOT LIMITED TO ANY IMPLIED
// WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE,
// REGARDING THE LICENSED MATERIALS.  IN NO EVENT SHALL
// TI OR ITS SUPPLIERS BE LIABLE FOR ANY INDIRECT, INCIDENTAL
// OR CONSEQUENTIAL DAMAGES, LOSS OF PROFITS, LOSS OF USE OR DATA, 
// OR INTERRUPTION OF BUSINESS, WHETHER THE ALLEGED DAMAGES ARE
// LABELED IN TORT, CONTRACT OR INDEMNITY.
//=======================================================================
// THANKS TO: DAVID LINDSRM
// CIRRUS PROGRAMMING
// http://cirrus.tigalaxy.com
//=======================================================================

//======================================================================
//           Not Official ROMCALLS
//======================================================================

ROMCALL _HomeUp AT $4558

//======================================================================
//           Official TI-OS ROMCALLS
//======================================================================

ROMCALL _AbsO1O2Cp	AT $410E
ROMCALL _AbsO1PAbsO2	AT $405A
ROMCALL _ACos		AT $40DE
ROMCALL _ACosH		AT $40F0
ROMCALL _ACosRad	AT $40D2
ROMCALL _AdrLEle	AT $462D
ROMCALL _AdrMEle	AT $4609
ROMCALL _AdrMRow	AT $4606
ROMCALL _AllEq		AT $4876
ROMCALL _AllocFPS	AT $43A5
ROMCALL _AllocFPS1	AT $43A8
ROMCALL _Angle		AT $4102
ROMCALL _AnsName	AT $4B52
ROMCALL _ApdSetup	AT $4C93
ROMCALL _AppGetCalc	AT $4C78
ROMCALL _AppGetCbl	AT $4C75
ROMCALL _AppInit	AT $404B  //***
ROMCALL _Arc_Unarc	AT $4FD8
ROMCALL _ASin		AT $40E4
ROMCALL _ASinH		AT $40ED
ROMCALL _ASinRad	AT $40DB
ROMCALL _ATan		AT $40E1
ROMCALL _ATan2		AT $40E7
ROMCALL _ATan2Rad	AT $40D8
ROMCALL _ATanH		AT $40EA
ROMCALL _ATanRad	AT $40D5

ROMCALL _BinOPExec	AT $4663
ROMCALL _Bit_VertSplit	AT $4FA8
ROMCALL _BufClr		AT $5074
ROMCALL _BufCpy		AT $5071
ROMCALL _CAbs		AT $4E97
ROMCALL _CAdd		AT $4E88
ROMCALL _CanAlphIns	AT $4C69
ROMCALL _CDiv		AT $4E94
ROMCALL _CDivByReal	AT $4EBB
ROMCALL _CEtoX		AT $4EA9
ROMCALL _CFrac		AT $4EC1
ROMCALL _CheckSplitFlag	AT $49F0
ROMCALL _Chk_Batt_Low	AT $50B3  //***
ROMCALL _ChkFindSym	AT $42F1
ROMCALL _CIntgr		AT $4EC4
ROMCALL _CircCmd	AT $47D4
ROMCALL _CkInt		AT $4234
ROMCALL _CkOdd		AT $4237
ROMCALL _CkOP1C0	AT $4225
ROMCALL _CkOP1Cplx	AT $40FC
ROMCALL _CkOP1FP0	AT $4228
ROMCALL _CkOP1Pos	AT $4258
ROMCALL _CkOP1Real	AT $40FF
ROMCALL _CkOP2FP0	AT $422B
ROMCALL _CkOP2Pos	AT $4255
ROMCALL _CkOP2Real	AT $42DF
ROMCALL _CkPosInt	AT $4231
ROMCALL _CkValidNum	AT $4270
ROMCALL _CleanAll	AT $4A50
ROMCALL _ClearRect	AT $4D5C
ROMCALL _ClearRow	AT $4CED
ROMCALL _CLine		AT $4798
ROMCALL _CLineS		AT $479B
ROMCALL _CLN		AT $4EA0
ROMCALL _CLog		AT $4EA3
ROMCALL _CloseEditBuf	AT $48D3  //***
ROMCALL _CloseEditBufNoR	AT $476E
ROMCALL _CloseEditEqu	AT $496C  //***
ROMCALL _CloseProg	AT $4A35
ROMCALL _ClrGraphRef	AT $4A38
ROMCALL _ClrLCD		AT $4543
ROMCALL _ClrLCDFull	AT $4540
ROMCALL _ClrLp		AT $41D1
ROMCALL _ClrOP1S	AT $425E
ROMCALL _ClrOP2S	AT $425B
ROMCALL _ClrScrn	AT $4549
ROMCALL _ClrScrnFull	AT $4546
ROMCALL _ClrTxtShd	AT $454C
ROMCALL _CMltByReal	AT $4EB8
ROMCALL _CmpSyms	AT $4A4A
ROMCALL _CMult		AT $4E8E
ROMCALL _Conj		AT $4EB5
ROMCALL _ConvDim	AT $4B43
ROMCALL _ConvDim00	AT $4B46
ROMCALL _ConvLcToLr	AT $4A23
ROMCALL _ConvLrToLc	AT $4A56
ROMCALL _ConvOP1	AT $4AEF
ROMCALL _COP1Set0	AT $4105
ROMCALL _Cos		AT $40C0
ROMCALL _CosH		AT $40CC
ROMCALL _CpHLDE		AT $400C
ROMCALL _CPoint		AT $4DC8
ROMCALL _CPointS	AT $47F5
ROMCALL _CpOP1OP2	AT $4111
ROMCALL _CpOP4OP3	AT $4108
ROMCALL _CpyO1ToFPS1	AT $445C
ROMCALL _CpyO1ToFPS2	AT $446B
ROMCALL _CpyO1ToFPS3	AT $4477
ROMCALL _CpyO1ToFPS4	AT $4489
ROMCALL _CpyO1ToFPS5	AT $4483
ROMCALL _CpyO1ToFPS6	AT $447D
ROMCALL _CpyO1ToFPS7	AT $4480
ROMCALL _CpyO1ToFPST	AT $444A
ROMCALL _CpyO2ToFPS1	AT $4459
ROMCALL _CpyO2ToFPS2	AT $4462
ROMCALL _CpyO2ToFPS3	AT $4474
ROMCALL _CpyO2ToFPS4	AT $4486
ROMCALL _CpyO2ToFPST	AT $4444
ROMCALL _CpyO3ToFPS1	AT $4453
ROMCALL _CpyO3ToFPS2	AT $4465
ROMCALL _CpyO3ToFPST	AT $4441
ROMCALL _CpyO5ToFPS1	AT $4456
ROMCALL _CpyO5ToFPS3	AT $4471
ROMCALL _CpyO6ToFPS2	AT $4468
ROMCALL _CpyO6ToFPST	AT $4447
ROMCALL _CpyStack	AT $4429
ROMCALL _CpyTo1FPS1	AT $4432
ROMCALL _CpyTo1FPS10	AT $43F3
ROMCALL _CpyTo1FPS11	AT $43D8
ROMCALL _CpyTo1FPS2	AT $443B
ROMCALL _CpyTo1FPS3	AT $4408
ROMCALL _CpyTo1FPS4	AT $440E
ROMCALL _CpyTo1FPS5	AT $43DE
ROMCALL _CpyTo1FPS6	AT $43E4
ROMCALL _CpyTo1FPS7	AT $43EA
ROMCALL _CpyTo1FPS8	AT $43ED
ROMCALL _CpyTo1FPS9	AT $43F6
ROMCALL _CpyTo1FPST	AT $4423
ROMCALL _CpyTo2FPS1	AT $442F
ROMCALL _CpyTo2FPS2	AT $4438
ROMCALL _CpyTo2FPS3	AT $4402
ROMCALL _CpyTo2FPS4	AT $43F9
ROMCALL _CpyTo2FPS5	AT $43DB
ROMCALL _CpyTo2FPS6	AT $43E1
ROMCALL _CpyTo2FPS7	AT $43E7
ROMCALL _CpyTo2FPS8	AT $43F0
ROMCALL _CpyTo2FPST	AT $4420
ROMCALL _CpyTo3FPS1	AT $442C
ROMCALL _CpyTo3FPS2	AT $4411
ROMCALL _CpyTo3FPST	AT $441D
ROMCALL _CpyTo4FPST	AT $441A
ROMCALL _CpyTo5FPST	AT $4414
ROMCALL _CpyTo6FPS2	AT $43FF
ROMCALL _CpyTo6FPS3	AT $43FC
ROMCALL _CpyTo6FPST	AT $4417
ROMCALL _CpyToFPS1	AT $445F
ROMCALL _CpyToFPS2	AT $446E
ROMCALL _CpyToFPS3	AT $447A
ROMCALL _CpyToFPST	AT $444D
ROMCALL _CpyToStack	AT $4450
ROMCALL _Create0Equ	AT $432A
ROMCALL _CreateAppVar	AT $4E6A
ROMCALL _CreateCList	AT $431B
ROMCALL _CreateCplx	AT $430C
ROMCALL _CreateEqu	AT $4330
ROMCALL _CreatePair	AT $4B0D
ROMCALL _CreatePict	AT $4333
ROMCALL _CreateProg	AT $4339
ROMCALL _CreateProtProg	AT $4E6D
ROMCALL _CreateReal	AT $430F
ROMCALL _CreateRList	AT $4315
ROMCALL _CreateRMat	AT $4321
ROMCALL _CreateStrng	AT $4327
ROMCALL _CRecip		AT $4E91
ROMCALL _CSqRoot	AT $4E9D
ROMCALL _CSquare	AT $4E8B
ROMCALL _CSub		AT $4E85
ROMCALL _CTenX		AT $4EA6
ROMCALL _CTrunc		AT $4EBE
ROMCALL _Cube		AT $407B
ROMCALL _CursorOff	AT $45BE
ROMCALL _CursorOn	AT $45C4
ROMCALL _CXrootY	AT $4EAC
ROMCALL _CYtoX		AT $4EB2

ROMCALL _DarkLine	AT $47DD
ROMCALL _DarkPnt	AT $47F2
ROMCALL _DataSize	AT $436C
ROMCALL _DataSizeA	AT $4369
ROMCALL _DeallocFPS	AT $439F
ROMCALL _DeallocFPS1	AT $43A2
ROMCALL _DecO1Exp	AT $4267
ROMCALL _DelListEl	AT $4A2F
ROMCALL _DelMem		AT $4357
ROMCALL _DelRes		AT $4A20
ROMCALL _DelVar		AT $4351
ROMCALL _DelVarArc	AT $4FC6
ROMCALL _DelVarNoArc	AT $4FC9
ROMCALL _DisableApd	AT $4C84
ROMCALL _Disp		AT $4F45
ROMCALL _DispDone	AT $45B5
ROMCALL _DispEOL	AT $45A6
ROMCALL _DispHL		AT $4507
ROMCALL _DisplayImage	AT $4D9B
ROMCALL _DispMenuTitle	AT $5065
ROMCALL _DispOP1A	AT $4BF7
ROMCALL _DivHLBy10	AT $400F
ROMCALL _DivHLByA	AT $4012
ROMCALL _DrawCirc2	AT $4C66
ROMCALL _DrawCmd	AT $48C1
ROMCALL _DrawRectBorder	AT $4D7D
ROMCALL _DrawRectBorderClear	AT $4D8C
ROMCALL _DToR		AT $4075

ROMCALL _EditProg	AT $4A32
ROMCALL _EnableApd	AT $4C87
ROMCALL _EnoughMem	AT $42FD
ROMCALL _EOP1NotReal	AT $4279
ROMCALL _Equ_or_NewEqu	AT $42C4
ROMCALL _EraseEOL	AT $4552
ROMCALL _EraseRectBorder	AT $4D86
ROMCALL _ErrArgument	AT $44AD
ROMCALL _ErrBadGuess	AT $44CB
ROMCALL _ErrBreak	AT $44BF
ROMCALL _ErrD_OP1_0	AT $42D3
ROMCALL _ErrD_OP1_LE_0	AT $42D0
ROMCALL _ErrD_OP1Not_R	AT $42CA
ROMCALL _ErrD_OP1NotPos	AT $42C7
ROMCALL _ErrD_OP1NotPosInt	AT $42CD
ROMCALL _ErrDataType	AT $44AA
ROMCALL _ErrDimension	AT $44B3
ROMCALL _ErrDimMismatch	AT $44B0
ROMCALL _ErrDivBy0	AT $4498
ROMCALL _ErrDomain	AT $449E
ROMCALL _ErrIncrement	AT $44A1
ROMCALL _ErrInvalid	AT $44BC
ROMCALL _ErrIterations	AT $44C8
ROMCALL _ErrLinkXmit	AT $44D4
ROMCALL _ErrMemory	AT $44B9
ROMCALL _ErrNon_Real	AT $44A4
ROMCALL _ErrNonReal	AT $4A8C
ROMCALL _ErrNotEnoughMem	AT $448C
ROMCALL _ErrOverflow	AT $4495
ROMCALL _ErrSignChange	AT $44C5
ROMCALL _ErrSingularMat	AT $449B
ROMCALL _ErrStat	AT $44C2
ROMCALL _ErrStatPlot	AT $44D1
ROMCALL _ErrSyntax	AT $44A7
ROMCALL _ErrTolTooSmall	AT $44CE
ROMCALL _ErrUndefined	AT $44B6
ROMCALL _EToX		AT $40B4
ROMCALL _Exch9		AT $43D5
ROMCALL _ExLp		AT $4222
ROMCALL _ExpToHex	AT $424F

ROMCALL _Factorial	AT $4B85
ROMCALL _FillRect	AT $4D62
ROMCALL _FillRectPattern	AT $4D89
ROMCALL _Find_Parse_Formula	AT $4AF2
ROMCALL _FindAlphaDn	AT $4A47
ROMCALL _FindAlphaUp	AT $4A44
ROMCALL _FindApp		AT $4C4E
ROMCALL _FindAppDn		AT $4C4B
ROMCALL _FindAppNumPages	AT $509B
ROMCALL _FindAppUp		AT $4C48
ROMCALL _FindSym	AT $42F4
ROMCALL _FiveExec	AT $467E
ROMCALL _FixTempCnt	AT $4A3B
ROMCALL _FlashToRam	AT $5017
ROMCALL _ForceFullScreen	AT $508F
ROMCALL _FormBase	AT $50AA
ROMCALL _FormDCplx	AT $4996
ROMCALL _FormEReal	AT $4990
ROMCALL _FormReal	AT $4999
ROMCALL _FourExec	AT $467B
ROMCALL _FPAdd		AT $4072
ROMCALL _FPDiv		AT $4099
ROMCALL _FPMult		AT $4084
ROMCALL _FPRecip	AT $4096
ROMCALL _FPSquare	AT $4081
ROMCALL _FPSub		AT $406F
ROMCALL _Frac		AT $4093

ROMCALL _Get_Tok_Strng	AT $4594  //***
ROMCALL _GetBaseVer	AT $4C6F
ROMCALL _GetCSC		AT $4018
ROMCALL _GetKey		AT $4972
ROMCALL _GetLToOP1	AT $4636
ROMCALL _GetMToOP1	AT $4615
ROMCALL _GetSysInfo 	AT $50DD  // v. 1.13+ only
ROMCALL _GetTokLen	AT $4591  //***
ROMCALL _GrBufClr	AT $4BD0
ROMCALL _GrBufCpy	AT $486A
ROMCALL _GrphCirc	AT $47D7

ROMCALL _HLTimes9	AT $40F9
ROMCALL _HorizCmd	AT $48A6
ROMCALL _HTimesL	AT $4276

ROMCALL _IBounds	AT $4C60
ROMCALL _IBoundsFull	AT $4D98
ROMCALL _ILine		AT $47E0
ROMCALL _IncLstSize	AT $4A29
ROMCALL _InsertList	AT $4A2C
ROMCALL _InsertMem	AT $42F7
ROMCALL _Int		AT $40A5
ROMCALL _Intgr		AT $405D
ROMCALL _InvCmd		AT $48C7
ROMCALL _InvertRect	AT $4D5F
ROMCALL _InvOP1S	AT $408D
ROMCALL _InvOP1SC	AT $408A
ROMCALL _InvOP2S	AT $4090
ROMCALL _InvSub		AT $4063
ROMCALL _IOffset	AT $4C63
ROMCALL _IPoint		AT $47E3
ROMCALL _IsA2ByteTok	AT $42A3  //***
ROMCALL _IsEditEmpty	AT $492D  //***

ROMCALL _JError		AT $44D7
ROMCALL _JErrorNo	AT $4000
ROMCALL _JForceCmdNoChar	AT $4027
ROMCALL _JForceGraphKey	AT $5005
ROMCALL _JForceGraphNoKey	AT $5002

ROMCALL _KeyToString	AT $45CA

ROMCALL _LCD_BUSY	AT $4051  //***
ROMCALL _LCD_DRIVERON	AT $4978  //***
ROMCALL _LdHLind	AT $4009  //***
ROMCALL _LineCmd	AT $48AC
ROMCALL _LnX		AT $40AB
ROMCALL _Load_SFont	AT $4783
ROMCALL _LoadCIndPaged	AT $501D
ROMCALL _LoadDEIndPaged	AT $501A
ROMCALL _LoadPattern	AT $4CB1
ROMCALL _LogX		AT $40AE

ROMCALL _Max		AT $4057
ROMCALL _MemChk		AT $42E5
ROMCALL _MemClear	AT $4C30
ROMCALL _MemSet		AT $4C33
ROMCALL _Min		AT $4054
ROMCALL _Minus1		AT $406C
ROMCALL _Mov10B		AT $415C
ROMCALL _Mov18B		AT $47DA
ROMCALL _Mov7B		AT $4168
ROMCALL _Mov8B		AT $4165
ROMCALL _Mov9B		AT $415F
ROMCALL _Mov9OP1OP2	AT $417D
ROMCALL _Mov9OP2Cp	AT $410B
ROMCALL _Mov9ToOP1	AT $417A
ROMCALL _Mov9ToOP2	AT $4180
ROMCALL _MovFrOP1	AT $4183

ROMCALL _NewLine	AT $452E  //***
ROMCALL _NZIf83Plus	AT $50E0  // v. 1.13+ only

ROMCALL _OneVar		AT $4BA3
ROMCALL _OP1ExOP2	AT $421F
ROMCALL _OP1ExOP3	AT $4219
ROMCALL _OP1ExOP4	AT $421C
ROMCALL _OP1ExOP5	AT $420D
ROMCALL _OP1ExOP6	AT $4210
ROMCALL _OP1ExpToDec	AT $4252
ROMCALL _OP1Set0	AT $41BF
ROMCALL _OP1Set1	AT $419B
ROMCALL _OP1Set2	AT $41A7
ROMCALL _OP1Set3	AT $41A1
ROMCALL _OP1Set4	AT $419E
ROMCALL _OP1ToOP2	AT $412F
ROMCALL _OP1ToOP3	AT $4123
ROMCALL _OP1ToOP4	AT $4117
ROMCALL _OP1ToOP5	AT $4153
ROMCALL _OP1ToOP6	AT $4150
ROMCALL _OP2ExOP4	AT $4213
ROMCALL _OP2ExOP5	AT $4216
ROMCALL _OP2ExOP6	AT $4207
ROMCALL _OP2Set0	AT $41BC
ROMCALL _OP2Set1	AT $41AD
ROMCALL _OP2Set2	AT $41AA
ROMCALL _OP2Set3	AT $4198
ROMCALL _OP2Set4	AT $4195
ROMCALL _OP2Set5	AT $418F
ROMCALL _OP2Set60	AT $4AB0
ROMCALL _OP2Set8	AT $418C
ROMCALL _OP2SetA	AT $4192
ROMCALL _OP2ToOP1	AT $4156
ROMCALL _OP2ToOP3	AT $416E
ROMCALL _OP2ToOP4	AT $411A
ROMCALL _OP2ToOP5	AT $414A
ROMCALL _OP2ToOP6	AT $414D
ROMCALL _OP3Set0	AT $41B9
ROMCALL _OP3Set1	AT $4189
ROMCALL _OP3Set2	AT $41A4
ROMCALL _OP3ToOP1	AT $413E
ROMCALL _OP3ToOP2	AT $4120
ROMCALL _OP3ToOP4	AT $4114
ROMCALL _OP3ToOP5	AT $4147
ROMCALL _OP4Set0	AT $41B6
ROMCALL _OP4Set1	AT $4186
ROMCALL _OP4ToOP1	AT $4138
ROMCALL _OP4ToOP2	AT $411D
ROMCALL _OP4ToOP3	AT $4171
ROMCALL _OP4ToOP5	AT $4144
ROMCALL _OP4ToOP6	AT $4177
ROMCALL _OP5ExOP6	AT $420A
ROMCALL _OP5Set0	AT $41B3
ROMCALL _OP5ToOP1	AT $413B
ROMCALL _OP5ToOP2	AT $4126
ROMCALL _OP5ToOP3	AT $4174
ROMCALL _OP5ToOP4	AT $412C
ROMCALL _OP5ToOP6	AT $4129
ROMCALL _OP6ToOP1	AT $4135
ROMCALL _OP6ToOP2	AT $4132
ROMCALL _OP6ToOP5	AT $4141
ROMCALL _OutputExpr	AT $4BB2

ROMCALL _PagedGet	AT $5023
ROMCALL _ParseInp	AT $4A9B
ROMCALL _PDspGrph	AT $48A3
ROMCALL _PixelTest	AT $48B5
ROMCALL _Plus1		AT $4069
ROMCALL _PointCmd	AT $48B2
ROMCALL _PointOn	AT $4C39
ROMCALL _PopMCplxO1	AT $436F  //***
ROMCALL _PopOP1		AT $437E
ROMCALL _PopOP3		AT $437B
ROMCALL _PopOP5		AT $4378
ROMCALL _PopReal	AT $4393
ROMCALL _PopRealO1	AT $4390
ROMCALL _PopRealO2	AT $438D
ROMCALL _PopRealO3	AT $438A
ROMCALL _PopRealO4	AT $4387
ROMCALL _PopRealO5	AT $4384
ROMCALL _PopRealO6	AT $4381
ROMCALL _PosNo0Int	AT $422E
ROMCALL _PToR		AT $40F3
ROMCALL _PushMCplxO1	AT $43CF  //***
ROMCALL _PushMCplxO3	AT $43C6  //***
ROMCALL _PushOP1	AT $43C9
ROMCALL _PushOP3	AT $43C3
ROMCALL _PushOP5	AT $43C0
ROMCALL _PushReal	AT $43BD
ROMCALL _PushRealO1	AT $43BA
ROMCALL _PushRealO2	AT $43B7
ROMCALL _PushRealO3	AT $43B4
ROMCALL _PushRealO4	AT $43B1
ROMCALL _PushRealO5	AT $43AE
ROMCALL _PushRealO6	AT $43AB
ROMCALL _PutAway	AT $403c  //***
ROMCALL _PutC		AT $4504
ROMCALL _PutMap		AT $4501
ROMCALL _PutPS		AT $4510
ROMCALL _PutPSB		AT $450d  //***
ROMCALL _PutS		AT $450A
ROMCALL _PutTokString	AT $4960
ROMCALL _PutToL		AT $4645
ROMCALL _PutToMat	AT $461E

ROMCALL _RandInit	AT $4B7F
ROMCALL _Random		AT $4B79
ROMCALL _Rcl_StatVar	AT $42DC
ROMCALL _RclAns		AT $4AD7
ROMCALL _RclGDB2	AT $47D1
ROMCALL _RclN		AT $4ADD
ROMCALL _RclSysTok	AT $4AE6
ROMCALL _RclVarSym	AT $4AE3
ROMCALL _RclX		AT $4AE0
ROMCALL _RclY		AT $4ADA
ROMCALL _Rec1stByte	AT $4EFA
ROMCALL _Rec1stByteNC	AT $4EFD
ROMCALL _RecAByteIO	AT $4F03
ROMCALL _RedimMat	AT $4A26
ROMCALL _Regraph	AT $488E
ROMCALL _ReleaseBuffer	AT $4771  //***
ROMCALL _ReloadAppEntryVecs	AT $4C36
ROMCALL _RestoreDisp	AT $4870
ROMCALL _RName		AT $427F
ROMCALL _RndGuard	AT $409F
ROMCALL _RnFx		AT $40A2
ROMCALL _Round		AT $40A8
ROMCALL _RToD		AT $4078
ROMCALL _RToP		AT $40F6
ROMCALL _RunIndicOff	AT $4570
ROMCALL _RunIndicOn	AT $456D

ROMCALL _SaveDisp	AT $4C7B
ROMCALL _SendAByte	AT $4EE5
ROMCALL _SendVarCmd	AT $4A14 //***
ROMCALL _SetAllPlots	AT $4FCC
ROMCALL _SetExSpeed 	AT $50BF // v. 1.13+ only
ROMCALL _SetFuncM	AT $4840
ROMCALL _SetNorm_Vals	AT $49FC
ROMCALL _SetParM	AT $4849
ROMCALL _SetPolM	AT $4846
ROMCALL _SetSeqM	AT $4843
ROMCALL _SetTblGraphDraw	AT $4C00
ROMCALL _SetupPagedPtr	AT $5020
ROMCALL _SetXXOP1	AT $478C
ROMCALL _SetXXOP2	AT $478F
ROMCALL _SetXXXXOP2	AT $4792
ROMCALL _SFont_Len	AT $4786
ROMCALL _ShRAcc		AT $41D4
ROMCALL _Sin		AT $40BD
ROMCALL _SinCosRad	AT $40BA
ROMCALL _SinH		AT $40CF
ROMCALL _SinHCosH	AT $40C6
ROMCALL _SqRoot		AT $409C
ROMCALL _SrchVLstDn	AT $4F12
ROMCALL _SrchVLstUp	AT $4F0F
ROMCALL _SStringLength	AT $4CB4
ROMCALL _StMatEl	AT $4AE9
ROMCALL _StoAns		AT $4ABF
ROMCALL _StoGDB2	AT $47CE
ROMCALL _StoN		AT $4ACB
ROMCALL _StoOther	AT $4AD4
ROMCALL _StoR		AT $4AC5
ROMCALL _StoRand	AT $4B7C
ROMCALL _StoSysTok	AT $4ABC
ROMCALL _StoT		AT $4ACE
ROMCALL _StoTheta	AT $4AC2
ROMCALL _StoX		AT $4AD1
ROMCALL _StoY		AT $4AC8
ROMCALL _StrCopy	AT $44E3
ROMCALL _StrLength	AT $4C3F

ROMCALL _Tan		AT $40C3
ROMCALL _TanH		AT $40C9
ROMCALL _TanLnF		AT $48BB
ROMCALL _TenX		AT $40B7
ROMCALL _ThetaName	AT $427C
ROMCALL _ThreeExec	AT $4675
ROMCALL _Times2		AT $4066
ROMCALL _TimesPt5	AT $407E
ROMCALL _TName		AT $428E
ROMCALL _ToFrac		AT $4657
ROMCALL _Trunc		AT $4060
ROMCALL _TwoVarSet	AT $50D4  // v. 1.13+ only

ROMCALL _UCLineS	AT $4795
ROMCALL _UnLineCmd	AT $48AF
ROMCALL _UnOPExec	AT $4672

ROMCALL _VertCmd	AT $48A9
ROMCALL _VPutMap	AT $455E
ROMCALL _VPutS		AT $4561
ROMCALL _VPutSN		AT $4564
ROMCALL _VtoWHLDE	AT $47FB


ROMCALL _XftoI		AT $4804
ROMCALL _Xitof		AT $47FE
ROMCALL _XName		AT $4288
ROMCALL _XRootY		AT $479E

ROMCALL _YftoI		AT $4801
ROMCALL _YName		AT $428B
ROMCALL _YToX		AT $47A1

ROMCALL _Zero16D	AT $41B0
ROMCALL _ZeroOP		AT $41CE
ROMCALL _ZeroOP1	AT $41C5
ROMCALL _ZeroOP2	AT $41C8
ROMCALL _ZeroOP3	AT $41CB
ROMCALL _ZmDecml	AT $484F
ROMCALL _ZmFit		AT $485B
ROMCALL _ZmInt		AT $484C
ROMCALL _ZmPrev		AT $4852
ROMCALL _ZmSquare	AT $485E
ROMCALL _ZmStats	AT $47A4
ROMCALL _ZmTrig		AT $4861
ROMCALL _ZmUsr		AT $4855
ROMCALL _ZooDefault	AT $4867


