#include <stdio.h>
#include <string.h>

#include "bzc.h"


int popvar(char *varname, FILE *file)
{
	struct SaveTab *tabptr;
	
	if (!(tabptr = findtable(varname, 0)))
		return(1);
	
	fputs("    POP HL\n", file);
	
	if (toHL(tabptr, file, 1))
		return(2);
	
	if (tabptr->Used != -1) tabptr->Used++;
	return(0);
}

int pushvar(struct FileLine *flptr, FILE *file, int atterm)
{
	struct SaveTab *tabptr;

	if (flptr->Quoted[atterm])
	{
		globalvar = 1;
		tabptr = totable(var, makeid("__STRING",""), "", atterm, line, 2);
	}
	else if (!(tabptr = findtable(flptr->Terms[atterm], 0)))
	{
		clmes_notdecl(flptr->Terms[atterm]);
		return(1);
	}

	if (toHL(tabptr, file, 0))
		return(2);
			
	fputs("    PUSH HL\n", file);
	if (tabptr->Used != -1) tabptr->Used++;

	return(0);
}

int toHL(struct SaveTab *tabptr, FILE *file, int x)
{
	if (x)
	{
		switch (tabptr->Type)
		{
			case var:
				if (tabptr->Lastline == 5)
				
					clmes_syntax("Can't write to a digit (var is an int constant).");
			
				if (tabptr->Lastline == 2)
			
					clmes_syntax("Can't write to a STRING (var is a pointer constant).");
			
				else if (tabptr->Lastline == 4)	// INT
				
					fprintf(file, "    LD (%s), HL\n", tabptr->Name);
				else				// BYTE or SYSTEM
				{
					fputs("    LD A, L\n", file);
					fprintf(file, "    LD (%s), A\n", \
						*tabptr->Realname ? tabptr->Realname : tabptr->Name);
				}			
				break;
			
			case reg16:
				if (strcmp("HL", tabptr->Name))
					if (*tabptr->Name == 'I')
					
						if (*(tabptr->Name + 1) == 'X')
						{
							fputs("    LD A, H\n", file);
							fputs(".DB $DD\n", file);
							fputs("    LD H, A\n", file);
							fputs("    LD A, L\n", file);
							fputs(".DB $DD\n", file);
							fputs("    LD L, A\n", file);
						}
						else
						{
							fputs("    LD A, H\n", file);
							fputs(".DB $FD\n", file);
							fputs("    LD H, A\n", file);
							fputs("    LD A, L\n", file);
							fputs(".DB $FD\n", file);
							fputs("    LD L, A\n", file);
						}
					else
					{
						fprintf(file, "    LD %c, H\n", *tabptr->Name);
						fprintf(file, "    LD %c, L\n", *(tabptr->Name + 1));
					}
				break;
			case reg8:
				fprintf(file, "    LD %c, L\n", *tabptr->Name);
				break;
			default:
				return(2);
		}
	}
	else
	{
		switch (tabptr->Type)
		{
			case var:
				if (tabptr->Lastline == 2)

					fprintf(file, "    LD HL, %s\n", *tabptr->Realname ? \
						tabptr->Realname : tabptr->Name);
				
				else if (tabptr->Lastline == 3 || tabptr->Lastline == 1)
				{
					fprintf(file, "    LD H, 0\n");
					fprintf(file, "    LD A, (%s)\n", \
						*tabptr->Realname ? tabptr->Realname : tabptr->Name);
					fputs("    LD L, A\n", file);
				}				
				else if (tabptr->Lastline == 5)	// NOT a REAL var, but a saved digit.
					if (*tabptr->Name == '&')
						fprintf(file, "    LD HL, %s\n", tabptr->Realname);
					else
						fprintf(file, "    LD HL, %d\n", tabptr->Args);
				else
					fprintf(file, "    LD HL, (%s)\n", tabptr->Name);
							
				break;
			case reg16:
				if (strcmp("HL", tabptr->Name))
					if (*tabptr->Name == 'I')
					
						if (*(tabptr->Name + 1) == 'X')
						{
							fputs(".DB $DD\n", file);
							fputs("    LD A, H\n", file);
							fputs("    LD H, A\n", file);
							fputs(".DB $DD\n", file);
							fputs("    LD A, L\n", file);
							fputs("    LD L, A\n", file);
						}
						else
						{
							fputs(".DB $FD\n", file);
							fputs("    LD A, H\n", file);
							fputs("    LD H, A\n", file);
							fputs(".DB $FD\n", file);
							fputs("    LD A, L\n", file);
							fputs("    LD L, A\n", file);
						}
					else
					{
						fprintf(file, "    LD H, %c\n", *tabptr->Name);
						fprintf(file, "    LD L, %c\n", *(tabptr->Name + 1));
					}
				break;
			case reg8:
				fprintf(file, "    LD H, 0\n");
				fprintf(file, "    LD L, %c\n", *tabptr->Name);
				break;
			case array:
				fprintf(file, "    LD HL, %s\n", tabptr->Name);
				break;
			default:
				return(1);
		}
	}
	tabptr->Used++;
	
	return(0);
}

char *getarg(struct SaveTab *tabptr, int x)
{
	int i = 5;

//	if (tabptr->Type == function_rcall)
//		i++;

	return(gotoline(tabptr->Line)->Terms[x+i]);
}

int compilefunction(struct SaveTab *temptab, FILE *file)
{
	struct FileLine *flptr;
	char str[LINE_LENGTH];

	comflag = CompCode;
	AsmCom = 0;
	
	for (flptr = gotoline((line = temptab->Line) + 1); ++line < (temptab->Lastline); \
				flptr = flptr->Next)
	{
		wholeline(str, flptr);
#ifdef CMD_DEBUG		
		clmes_debug_ds("Reading line %3d: %s", flptr->Line, str, 0);
#endif
		if (AsmCom)
			if (!strcmp(flptr->Terms[1], "ENDASM"))
				if (flptr->NumTerms == 1)
					AsmCom = 0;
				else
				{
					clmes_syntax("Expecting RETURN after ENDASM.");
					return(line);
				}
			else
					fprintf(file, "%s\n", mkasm(str));
		else
		{
			cmperr = 0;
			examterm(flptr, file);
			if (cmperr)
				return(line);
		}
	}

	return(0);
}

